#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.3.3
id: HsOpenSSL-0.10.3.3-c3f32f2e17dcddaf837194c9aba5af73

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
synopsis: (Incomplete) OpenSSL binding for Haskell
description:  
             .
             HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
             and DSA keys, read and write PEM files, generate message digests,
             sign and verify messages, encrypt and decrypt messages. It has
             also some capabilities of creating SSL clients and servers.
             .
             Please note that this project has started at the time when there
             were no pure-Haskell implementations of TLS. Now there is tls
             package (<http://hackage.haskell.org/package/tls>), which looks
             pretty saner than HsOpenSSL especially for initialisation and
             error handlings. So PHO (the initial author of HsOpenSSL) wants to
             encourage you to use and improve the tls package instead as long
             as possible. The only problem is that the tls package has not
             received as much review as OpenSSL from cryptography specialists
             yet, thus we can'\''t assume it'\''s secure enough.
             .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.3.3
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/include
includes:
depends: base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         bytestring-0.10.0.2-eecc198ed81abb69aaded5c195068445
         ghc-prim-0.3.0.0-00db43fcd2f6e2a73243bdb496b765e0
         integer-gmp-0.5.0.0-4093e6ff1e8ebdba04ec892df9ac108f
         network-2.4.1.2-b9f800e79eb4f2f789dc69f7b9fc0535
         old-locale-1.0.0.5-753125cfaf463057d163a0cefde5b58f
         time-1.4.0.1-11ddabfbdd9e1882a9135b100d37881b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
